Create a Compliance Document Type
curl --request POST \
--url https://api.tread-horizon.com/v1/companies/{company-id}/compliance_document_types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"external_id": "<string>",
"description": "<string>",
"field_type": "none",
"has_expiration": false,
"dispatch_gating": false,
"required_vendors": false,
"required_internal_drivers": false,
"required_shared_drivers": false,
"required_equipment": false
}
'import requests
url = "https://api.tread-horizon.com/v1/companies/{company-id}/compliance_document_types"
payload = {
"name": "<string>",
"external_id": "<string>",
"description": "<string>",
"field_type": "none",
"has_expiration": False,
"dispatch_gating": False,
"required_vendors": False,
"required_internal_drivers": False,
"required_shared_drivers": False,
"required_equipment": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
external_id: '<string>',
description: '<string>',
field_type: 'none',
has_expiration: false,
dispatch_gating: false,
required_vendors: false,
required_internal_drivers: false,
required_shared_drivers: false,
required_equipment: false
})
};
fetch('https://api.tread-horizon.com/v1/companies/{company-id}/compliance_document_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"has_expiration": true,
"dispatch_gating": true,
"required_vendors": true,
"required_internal_drivers": true,
"required_shared_drivers": true,
"required_equipment": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"description": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}Compliance
Create a Compliance Document Type
Create a new compliance document type.
Requires compliance_write permission.
POST
/
v1
/
companies
/
{company-id}
/
compliance_document_types
Create a Compliance Document Type
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Company ID
Body
application/json
Display name, must be unique for the company
External identifier for integration with external systems
Optional description
Available options:
none, string, number, date, boolean Response
Created
Show child attributes
Show child attributes
⌘I